Delete Assistant
Delete an existing agent (compatibility endpoint).
This method allows you to delete a previously created agent using its ID.
You can obtain the ID of the agent to delete either from the API response when you created the agent, or by listing the available agents.
Request
URI
DELETE
https://{api_host}/api/v1/compatibility/openai/v1/assistants/{agent_id}
COPY
Path Parameters
string
agent_id
Required
agent_id
Responses
200
Successful Response
Returns
AgentDeleteResponse
of type(s)
application/json
{
"id": "string",
"object": "string",
"deleted": false
}
string As uuid
As uuid
id
Required
ID of the agent.
string
object
Optional
Constraints:
default: agent.deleted
Object type, which is always agent.deleted
boolean
deleted
Required
Deletion status. True if deleted, False if unable to delete
404
No agent found with the specified ID.
Operation doesn't return any data structure
422
Validation Error
Returns
HTTPValidationError
of type(s)
application/json
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
array of
object
detail
Optional
detail
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/compatibility/openai/v1/assistants/{agent_id}
Agents Operations
GET
List Agents
POST
Create Agent
GET
List Assistants
POST
Create Assistant
GET
Get Agent
POST
Update Agent
DELETE
Delete Agent
GET
Get Assistant
POST
Update Assistant
DELETE
Delete Assistant
GET
List Agent Mcp Tools
POST
Create Agent Chat Completion
POST
Create Assistant Chat Completion
POST
Create Agent Completion
POST
Create Assistant Completion